Package org.gradle.api.distribution

# Interface DistributionContainer

All Superinterfaces:
  `Collection<Distribution>`, `org.gradle.util.Configurable<NamedDomainObjectContainer<Distribution>>`, `DomainObjectCollection<Distribution>`, `Iterable<Distribution>`, `NamedDomainObjectCollection<Distribution>`, `NamedDomainObjectContainer<Distribution>`, `NamedDomainObjectSet<Distribution>`, `Set<Distribution>`

@Incubating public interface DistributionContainer extends NamedDomainObjectContainer<Distribution>
A `DistributionContainer` manages a set of `Distribution` objects.

## Method Summary

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.gradle.api.DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

`add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

`configure, create, create, create, maybeCreate`

### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`